<app-layout>
    <div class="row">
        <div class="p-4 col-12">
            <mat-form-field>
              <input matInput placeholder="City" [formControl]="requestData.city">
            </mat-form-field>
            <mat-form-field class="ml-2">
              <mat-select placeholder="Country" [formControl]="requestData.country">
                <mat-option *ngFor="let _country of countries" [value]="_country">{{_country}}</mat-option>
              </mat-select>
            </mat-form-field>
            <button class="ml-2 btn-black" (click)="getLocations()" mat-raised-button color="primary">Filter Locations</button>
        </div>
    </div>

    <mat-card class="p-0 w-100 mb-4">
      <div class="row no-gutters" style="max-height:450px; overflow:hidden;">
          <div class="col-lg-8 col-md-8 col-sm-12 col-xs-12">
              <agm-map [latitude]="lat" [longitude]="lng" [zoom]="12" *ngIf="showMaps">
                <ng-container *ngIf="locations.length">
                  <agm-marker *ngFor="let location of locations" [latitude]="location.latitude" [longitude]="location.longitude"></agm-marker>
                </ng-container>
              </agm-map>
          </div>
          <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12 bg-white" style="max-height:400px; overflow-y: scroll;">
            <mat-nav-list *ngIf="locations.length">
              <a mat-list-item *ngFor="let location of locations" style="border-bottom: 1px solid black;">
                <h2 mat-line style="font-size: 22px;">{{location.title}} <small style="font-size: 14px;" class="pl-2">({{location.category | uppercase}})</small></h2>
                <p mat-line class="mt-2" style="font-size: 16px;"> Weekly Impressions: {{location.avg ? location.avg : 0 }} </p>
                <p mat-line style="font-size: 16px;"> Price Per Impression: {{location.rate ? location.rate : 0}} </p>
              </a>
            </mat-nav-list>
          </div>
      </div>
    </mat-card>
</app-layout>